#include <stdio.h>

#include "window.h"
#include <png.h>

#include "gl.h"

int main(int argc, char *argv[]) {
	struct window *win;

	printf("hello world\n");
	win = sw_window_create(sw_vec2i(640, 480), "Skunkworks");
	png_sig_cmp(0, 0, 0);
	glClearColor(0.1f, 0.2f, 0.3f, 1.f);

	while (!glfwWindowShouldClose(win->_window)) {
		glClear(GL_COLOR_BUFFER_BIT);
		glfwSwapBuffers(win->_window);
		glfwPollEvents();
	}

	return 0;
}
